Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSplitField::Component Struct Reference

`#include <vtkSplitField.h>`

List of all members.

## Public Methods

void | SetName (const char *name)
| Component ()
| ~Component ()

## Public Attributes

int | Index
char * | FieldName
Component * | Next

## Constructor & Destructor Documentation

vtkSplitField::Component::Component | ( |  | ) | `[inline]`

| Definition at line 129 of file vtkSplitField.h.

vtkSplitField::Component::~Component | ( |  | ) | `[inline]`

| Definition at line 130 of file vtkSplitField.h.

## Member Function Documentation

void vtkSplitField::Component::SetName | ( | const char * | name | ) | `[inline]`

| Definition at line 119 of file vtkSplitField.h.

## Member Data Documentation

int vtkSplitField::Component::Index

| Definition at line 116 of file vtkSplitField.h.

char* vtkSplitField::Component::FieldName

| Definition at line 117 of file vtkSplitField.h.

Component* vtkSplitField::Component::Next

| Definition at line 118 of file vtkSplitField.h. Referenced by vtkSplitField::GetNextComponent().

The documentation for this struct was generated from the following file:

- Graphics/vtkSplitField.h